
#ifndef PLAYER_H
#define PLAYER_H

/* openGL Headers */
#include <GL/glut.h>

#include "shoot_laser.h"
#include "shoot_rocket.h"
#include "data_tank.h"

class Player {

 public:
  Player ();
  ~Player ();

  /* position of the spacecraft */
  float xCor;
  float yCor;
  float zCor;
  
  float collisionRadius;

  /* this player wanna shoot? so include a ref to ShootLaser */
  ShootLaser* shootLaser;
  ShootRocket* shootRocket;

  void setPosition(float x, float y, float z);
  void getPosition(float* x, float* y, float* z);
  void setCollisionRadius(float radius);
  void goX(float x);
  void goY(float y);
  void goZ(float x);
  void shoot(int n);
  //  void addIO(InputOutput *io);
  void drawPlayer(void);

 private:


};

#endif
