
#ifndef NPC_H
#define NPC_H

/* openGL Headers */
#include <GL/glut.h>

#include "ai.h"
#include "data_tank.h"

class NPC {

 public:
  NPC ();
  ~NPC ();

  /* collision control */
  float collisionRadius;

  float xCor;
  float yCor;
  float zCor;

  void drawNPC(void);
  void setPosition(float x, float y, float z);
  void getPosition(float* x, float* y, float* z);
  void addAI(AI* ai);
  void setCollisionRadius(float r);
  float getCollisionRadius(void);
  int hit(void);
  void die(void);

 private:
  /* position of the non player space craft */

  int npcType;
  int hasDied;


;

};

#endif
